package com.example.what_the_fantasy.data.services

import com.example.what_the_fantasy.data.model.Favorite
import com.example.what_the_fantasy.data.model.Quote
import com.example.what_the_fantasy.data.model.User

interface IServices {
    fun EditUsername(username : String, index : Int) : Boolean
    fun EditEmail(email : String, index : Int) : Boolean
    fun EditPasswd(passwd : String, index : Int)
    fun EditImage(imageURL : String, index : Int)
    fun ChangeLangage(user: User)

    fun CreateUser(username : String, email : String, passwd : String, services : IServices) : Boolean
    fun getFavorite(user: User): List<Quote>
    fun getAllUsers(): List<User>

    fun getUserById(id: Int): User?

    fun SearchQuote(quote : String)

    fun getQuote( id : Int): Quote?

    fun isFavorite(id : Int): Boolean
    fun getAllFavorite(): List<Favorite>
    fun getAllQuote(): List<Quote>
    fun getSomeQuotes(nb: Int, page: Int) : MutableList<Quote>
}